Create credits by order ID
curl --request POST \
--url https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"credits": [
{
"amount": 21.5,
"currency": "USD",
"reasonCode": "EC",
"source": "CSR",
"type": "GIFT_CARD",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"giftCardNumber": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"employeeId": "12312232",
"note": "Credit request initiated",
"paymentCounter": 1,
"policyCode": "RC1",
"subReasonCode": "ACC"
}
]
}
'import requests
url = "https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits"
payload = { "credits": [
{
"amount": 21.5,
"currency": "USD",
"reasonCode": "EC",
"source": "CSR",
"type": "GIFT_CARD",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": { "giftCardNumber": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },
"employeeId": "12312232",
"note": "Credit request initiated",
"paymentCounter": 1,
"policyCode": "RC1",
"subReasonCode": "ACC"
}
] }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credits: [
{
amount: 21.5,
currency: 'USD',
reasonCode: 'EC',
source: 'CSR',
type: 'GIFT_CARD',
amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
attributes: {giftCardNumber: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},
employeeId: '12312232',
note: 'Credit request initiated',
paymentCounter: 1,
policyCode: 'RC1',
subReasonCode: 'ACC'
}
]
})
};
fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'credits' => [
[
'amount' => 21.5,
'currency' => 'USD',
'reasonCode' => 'EC',
'source' => 'CSR',
'type' => 'GIFT_CARD',
'amountInCurrencies' => [
[
'currency' => 'USD',
'group' => 'SHOPPER',
'amount' => 123.45
]
],
'attributes' => [
'giftCardNumber' => 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'
],
'employeeId' => '12312232',
'note' => 'Credit request initiated',
'paymentCounter' => 1,
'policyCode' => 'RC1',
'subReasonCode' => 'ACC'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits"
payload := strings.NewReader("{\n \"credits\": [\n {\n \"amount\": 21.5,\n \"currency\": \"USD\",\n \"reasonCode\": \"EC\",\n \"source\": \"CSR\",\n \"type\": \"GIFT_CARD\",\n \"amountInCurrencies\": [\n {\n \"currency\": \"USD\",\n \"group\": \"SHOPPER\",\n \"amount\": 123.45\n }\n ],\n \"attributes\": {\n \"giftCardNumber\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Credit request initiated\",\n \"paymentCounter\": 1,\n \"policyCode\": \"RC1\",\n \"subReasonCode\": \"ACC\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credits\": [\n {\n \"amount\": 21.5,\n \"currency\": \"USD\",\n \"reasonCode\": \"EC\",\n \"source\": \"CSR\",\n \"type\": \"GIFT_CARD\",\n \"amountInCurrencies\": [\n {\n \"currency\": \"USD\",\n \"group\": \"SHOPPER\",\n \"amount\": 123.45\n }\n ],\n \"attributes\": {\n \"giftCardNumber\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Credit request initiated\",\n \"paymentCounter\": 1,\n \"policyCode\": \"RC1\",\n \"subReasonCode\": \"ACC\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"credits\": [\n {\n \"amount\": 21.5,\n \"currency\": \"USD\",\n \"reasonCode\": \"EC\",\n \"source\": \"CSR\",\n \"type\": \"GIFT_CARD\",\n \"amountInCurrencies\": [\n {\n \"currency\": \"USD\",\n \"group\": \"SHOPPER\",\n \"amount\": 123.45\n }\n ],\n \"attributes\": {\n \"giftCardNumber\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Credit request initiated\",\n \"paymentCounter\": 1,\n \"policyCode\": \"RC1\",\n \"subReasonCode\": \"ACC\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"credits": [
{
"amount": 21.5,
"currency": "USD",
"reasonCode": "EC",
"source": "CSR",
"type": "GIFT_CARD",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"giftCardNumber": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"createdAt": "2022-07-11T15:03:14.642Z",
"creditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"employeeId": "12312232",
"note": "Credit request initiated",
"paymentCounter": 1,
"policyCode": "RC1",
"statusCode": "PENDING",
"subReasonCode": "ACC",
"updatedAt": "2022-07-11T15:03:14.642Z"
}
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Credits
Create credits by order ID
Use this endpoint to create credits by order ID.
POST
/
orders
/
{orderId}
/
actions
/
create-credits
Create credits by order ID
curl --request POST \
--url https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"credits": [
{
"amount": 21.5,
"currency": "USD",
"reasonCode": "EC",
"source": "CSR",
"type": "GIFT_CARD",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"giftCardNumber": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"employeeId": "12312232",
"note": "Credit request initiated",
"paymentCounter": 1,
"policyCode": "RC1",
"subReasonCode": "ACC"
}
]
}
'import requests
url = "https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits"
payload = { "credits": [
{
"amount": 21.5,
"currency": "USD",
"reasonCode": "EC",
"source": "CSR",
"type": "GIFT_CARD",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": { "giftCardNumber": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ" },
"employeeId": "12312232",
"note": "Credit request initiated",
"paymentCounter": 1,
"policyCode": "RC1",
"subReasonCode": "ACC"
}
] }
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
credits: [
{
amount: 21.5,
currency: 'USD',
reasonCode: 'EC',
source: 'CSR',
type: 'GIFT_CARD',
amountInCurrencies: [{currency: 'USD', group: 'SHOPPER', amount: 123.45}],
attributes: {giftCardNumber: 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'},
employeeId: '12312232',
note: 'Credit request initiated',
paymentCounter: 1,
policyCode: 'RC1',
subReasonCode: 'ACC'
}
]
})
};
fetch('https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'credits' => [
[
'amount' => 21.5,
'currency' => 'USD',
'reasonCode' => 'EC',
'source' => 'CSR',
'type' => 'GIFT_CARD',
'amountInCurrencies' => [
[
'currency' => 'USD',
'group' => 'SHOPPER',
'amount' => 123.45
]
],
'attributes' => [
'giftCardNumber' => 'XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ'
],
'employeeId' => '12312232',
'note' => 'Credit request initiated',
'paymentCounter' => 1,
'policyCode' => 'RC1',
'subReasonCode' => 'ACC'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-fabric-channel-id: <x-fabric-channel-id>",
"x-fabric-tenant-id: <x-fabric-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits"
payload := strings.NewReader("{\n \"credits\": [\n {\n \"amount\": 21.5,\n \"currency\": \"USD\",\n \"reasonCode\": \"EC\",\n \"source\": \"CSR\",\n \"type\": \"GIFT_CARD\",\n \"amountInCurrencies\": [\n {\n \"currency\": \"USD\",\n \"group\": \"SHOPPER\",\n \"amount\": 123.45\n }\n ],\n \"attributes\": {\n \"giftCardNumber\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Credit request initiated\",\n \"paymentCounter\": 1,\n \"policyCode\": \"RC1\",\n \"subReasonCode\": \"ACC\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-fabric-tenant-id", "<x-fabric-tenant-id>")
req.Header.Add("x-fabric-channel-id", "<x-fabric-channel-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits")
.header("x-fabric-tenant-id", "<x-fabric-tenant-id>")
.header("x-fabric-channel-id", "<x-fabric-channel-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"credits\": [\n {\n \"amount\": 21.5,\n \"currency\": \"USD\",\n \"reasonCode\": \"EC\",\n \"source\": \"CSR\",\n \"type\": \"GIFT_CARD\",\n \"amountInCurrencies\": [\n {\n \"currency\": \"USD\",\n \"group\": \"SHOPPER\",\n \"amount\": 123.45\n }\n ],\n \"attributes\": {\n \"giftCardNumber\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Credit request initiated\",\n \"paymentCounter\": 1,\n \"policyCode\": \"RC1\",\n \"subReasonCode\": \"ACC\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fabric.inc/v3/orders/{orderId}/actions/create-credits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-fabric-tenant-id"] = '<x-fabric-tenant-id>'
request["x-fabric-channel-id"] = '<x-fabric-channel-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"credits\": [\n {\n \"amount\": 21.5,\n \"currency\": \"USD\",\n \"reasonCode\": \"EC\",\n \"source\": \"CSR\",\n \"type\": \"GIFT_CARD\",\n \"amountInCurrencies\": [\n {\n \"currency\": \"USD\",\n \"group\": \"SHOPPER\",\n \"amount\": 123.45\n }\n ],\n \"attributes\": {\n \"giftCardNumber\": \"XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ\"\n },\n \"employeeId\": \"12312232\",\n \"note\": \"Credit request initiated\",\n \"paymentCounter\": 1,\n \"policyCode\": \"RC1\",\n \"subReasonCode\": \"ACC\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"credits": [
{
"amount": 21.5,
"currency": "USD",
"reasonCode": "EC",
"source": "CSR",
"type": "GIFT_CARD",
"amountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"attributes": {
"giftCardNumber": "XlQZTmFDFtPFGMxJP6oiAqN3vo+qKZ"
},
"createdAt": "2022-07-11T15:03:14.642Z",
"creditId": "a05b72dc-78d8-4ea4-90fc-2fe6a1fe1111",
"employeeId": "12312232",
"note": "Credit request initiated",
"paymentCounter": 1,
"policyCode": "RC1",
"statusCode": "PENDING",
"subReasonCode": "ACC",
"updatedAt": "2022-07-11T15:03:14.642Z"
}
]
}{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}{
"message": "Not found",
"type": "CLIENT_ERROR"
}{
"message": "Internal server error",
"type": "SERVER_ERROR"
}Authorizations
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
Path Parameters
Was this page helpful?
